PDA

View Full Version : mysql 5.1 update fails



AleSSaNDRo
10-08-2008, 11:56 AM
I edited options.conf and now, with ./build update_versions:

Updating MySQL.
--19:43:06-- http://files.directadmin.com/services/all/mysql/debian/mysql-5.1.23-rc-linux-i686.tar.gz
=> `mysql-5.1.23-rc-linux-i686.tar.gz'
Resolving files.directadmin.com... 72.35.85.222
Connecting to files.directadmin.com|72.35.85.222|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
19:43:06 ERROR 404: Not Found.

Stopping mysqld ...
Stopping mysqld: [ OK ]
tar: mysql-5.1.23-rc-linux-i686.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
./build: line 2071: cd: mysql: No such file or directory
chown: cannot access `/usr/local/mysql-5.1.23-rc-linux-i686': No such file or directory
/etc/init.d/mysqld: line 9: cd: /usr/local/mysql: No such file or directory
Giving mysqld a few seconds to start up...
Restarting MySQL.
Stopping mysqld: [ FAILED ]
/etc/init.d/mysqld: line 9: cd: /usr/local/mysql: No such file or directory
It is recommended to do "./build php n" after MySQL update.
[19:43:23] root@ [/usr/local/directadmin/custombuild]
>/etc/init.d/mysqld start
/etc/init.d/mysqld: line 9: cd: /usr/local/mysql: No such file or directory
:confused:

scsi
10-08-2008, 02:02 PM
http://files.directadmin.com/services/all/mysql/debian/mysql-5.1.23-rc-linux-i686.tar.gz

is an invalid url.

AleSSaNDRo
10-08-2008, 02:50 PM
Yees, i know but custombuild want it if you want update to mysql 5.1 from 5.0.* ;)

nobaloney
10-10-2008, 11:40 AM
You should probably contact DirectAdmin Support (http://www.directadmin.com/support.html) if you've not already done so.

Jeff

scsi
10-10-2008, 01:59 PM
You cannot use 5.1 its not supported yet.

salik
10-21-2008, 03:04 PM
Hi,

so what is the latest supported version?

Regards,

Mike

smtalk
10-21-2008, 03:20 PM
MySQL 5.0.67

salik
10-22-2008, 12:12 PM
Thx :)

Regards,

Mike

AleSSaNDRo
10-22-2008, 02:12 PM
You cannot use 5.1 its not supported yet.

In options.conf there is:
#Possible values - 4.1, 5.0 or 5.1
mysql=5.0
mysql_inst=yes
mysql_backup=no;)

salik
10-22-2008, 02:21 PM
How do I upgrade to this version?

Regards,

Mike

scsi
10-22-2008, 02:43 PM
In options.conf there is:;)

Doesnt mean its supported.

salik
10-22-2008, 02:49 PM
so, how can i upgrade to MySQL 5.0.67 ? I got 5.0.51a.

Regards,

Mike

smtalk
10-23-2008, 12:51 AM
./build update
./build mysql

salik
10-24-2008, 01:38 PM
thx :)

Regards,

Mike